import { world } from "mojang-minecraft"
import { system } from "mojang-minecraft";
import { ActionFormData, MessageFormData, ModalFormData } from "mojang-minecraft-ui"

system.events.beforeWatchdogTerminate.subscribe(data => {
  data.cancel = true;
});
const DimensionNames = {
  ["minecraft:overworld"]: "Overworld",
  ["minecraft:nether"]: "Nether",
  ["minecraft:the_end"]: "End"
};
function onPlayerDeath() {
    let players = world.getPlayers()
    for (let player of players) {
      let playerHealt = player.getComponent("minecraft:health").current
      let isDeath = player.hasTag("death")
      let Dimension = world.getDimension(player.dimension.id)
      if (playerHealt == 0 && isDeath == false) {
        const dName = DimensionNames[player.dimension.id];
        player.addTag("death")
        let entity = Dimension.spawnEntity("pog:player_corpse", player.location);
        entity.nameTag = "Corpse of " + player.name;
        player.runCommand(`tellraw @s{"rawtext":[{"text": "§a${player.nameTag} §rdied at: §l§e${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)},§r§f in The §a${dName}"}]}`)
      } else if (playerHealt > 0) {
        player.removeTag("death")
      } 
  }
  }


  world.events.tick.subscribe(onPlayerDeath)
  world.events.entityHit.subscribe(data => {
      let { entity } = data
if(data.hitEntity.id == 'pog:player_corpse'){
  console.warn("lol");
  bounty_tier_page(entity)
    }})

    function bounty_tier_page(entity) {
      let form = new ActionFormData()
        form.title("Are You Sure?")
        form.body("You are about to turn your corpse into ashes.\n\nIf you decide to turn your corpse into ash, all stored items will be lost.")
        ///buttons
        form.button("Dust")
        form.button("Spare")
        form.show(entity).then((response) => {
          if (response.selection == 0) {
            console.warn("Dust")
            world.getDimension('overworld').runCommand('function despawn_corpse_in_radius')
          }
          if (response.selection == 1) {
            console.warn("Spare")
          }
        })
    }
  